# DataExchange
TKXSBase
MoniTool

# MoniTool_TransientElem Class Reference

`#include <MoniTool_TransientElem.hxx>`

Inheritance diagram for MoniTool_TransientElem:

[legend]

## Public Member Functions

Standard_EXPORT | MoniTool_TransientElem (const Handle(Standard_Transient)&akey)
Standard_EXPORT const Handle_Standard_Transient & | Value () const
Standard_EXPORT Standard_Boolean | Equates (const Handle(MoniTool_Element)&other) const
| Specific testof equallity : to be defined by each sub-class, must be False if Elements have not the same true Type, else their contents must be compared .
virtual Standard_EXPORT Handle_Standard_Type | ValueType () const
| Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined .
virtual Standard_EXPORT Standard_CString | ValueTypeName () const
| Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | theval

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_TransientElem::MoniTool_TransientElem | ( | const Handle(Standard_Transient)& | akey | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean MoniTool_TransientElem::Equates | ( | const Handle(MoniTool_Element)& | other | ) | const`[virtual]`

| Implements MoniTool_Element.

Standard_EXPORT const MoniTool_TransientElem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MoniTool_Element.

Standard_EXPORT const Handle_Standard_Transient& MoniTool_TransientElem::Value | ( |  | ) | const

virtual Standard_EXPORT Handle_Standard_Type MoniTool_TransientElem::ValueType | ( |  | ) | const`[virtual]`

| Reimplemented from MoniTool_Element.

virtual Standard_EXPORT Standard_CString MoniTool_TransientElem::ValueTypeName | ( |  | ) | const`[virtual]`

| Reimplemented from MoniTool_Element.

## Field Documentation

Handle_Standard_Transient MoniTool_TransientElem::theval `[private]`

The documentation for this class was generated from the following file:

- MoniTool_TransientElem.hxx